File: changelog

package info (click to toggle)
libembperl-perl 2.5.0-15
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 7,528 kB
  • sloc: ansic: 21,387; perl: 14,496; cpp: 467; xml: 49; makefile: 33; sh: 24
file content (613 lines) | stat: -rw-r--r-- 23,363 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
libembperl-perl (2.5.0-15) unstable; urgency=medium

  * Fix FTBFS with -Wmisleading-indentation and due to inconsistent
    gettid() declaration. (Closes: #954538)
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Mar 2020 12:50:44 +0100

libembperl-perl (2.5.0-14) unstable; urgency=medium

  * Team upload.
  * Add patch (and build dependency) to use pkg-config instead of
    {xml2,xslt}-config.
    Thanks to Mattia Rizzolo for the bug report. (Closes: #948962)
  * Update years of packaging copyright.
  * Update Build-Depends for cross builds.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2020 21:25:11 +0100

libembperl-perl (2.5.0-13) unstable; urgency=medium

  * Team upload.

  [ Axel Beckert ]
  * Add patch to fix outdated Apache.pm reference in POD.
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)
  * Set "Rules-Requires-Root: no".

  [ gregor herrmann ]
  * Update debian/patches/apache2.4-compat.patch to work with Apache
    2.4.40+ error pages. (Closes: #941926)
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Oct 2019 19:19:22 +0200

libembperl-perl (2.5.0-12) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Axel Beckert ]
  * Fix FTBFS with Perl 5.28 by adding a patch to remove undefined
    behaviour. (Closes: #899021)
  * Remove trailing spaces from ancient debian/changelog entries.
  * Extend spelling.patch and fix some typos newly discovered by lintian.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Add lintian override for delay.patch not being enabled by
    default. It's only present for use by porters on very slow buildds.
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Patch Makefile.PL and test.pl to work without PERL_USE_UNSAFE_INC.
    + Disable parallel building for now. Otherwise doesn't find all files.

 -- Axel Beckert <abe@debian.org>  Thu, 28 Jun 2018 02:08:58 +0200

libembperl-perl (2.5.0-11) unstable; urgency=medium

  * Team upload.

  [ Nishanth Aravamudan ]
  * d/t/pkg-perl/use-whitelist: specify whitelist for DynaLoader
    redefinition messages when PERL_DL_NONLAZY=1 is set.
    (LP: #1667121)
    (Closes: #855886)

  [ gregor herrmann ]
  * Add patch to fix "Unescaped left brace in regex" error.
    (Closes: #826460)
  * Add more fixes to spelling.patch.
  * Use HTTPS for ecos.de URL in debian/copyright. Thanks to duck.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Jun 2017 23:53:54 +0200

libembperl-perl (2.5.0-10) unstable; urgency=medium

  * Team upload.
  * autopkgtest: skip smoke tests.
    They would need more setup in the autopkgtest environment than what
    pkg-perl-autopkgtest easily provides. (Closes: #842089)

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Oct 2016 05:51:02 +0200

libembperl-perl (2.5.0-9) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Opt out of bindow (closes: #837562)
  * Override bindnow lintian tag
  * Fix all spelling mistakes lintian noticed

 -- Florian Schlichting <fsfs@debian.org>  Sat, 22 Oct 2016 00:44:25 +0200

libembperl-perl (2.5.0-8) unstable; urgency=medium

  * Revert "drop special handling of German manpages" from previous
    upload. They're not gone.
  * Use "find" to ensure case-sensitivity in [a-z] wildcards for selecting
    German-written man pages. (Properly closes: #828636) Thanks to Reiner
    Herrmann for the bug-report and for helping finding the real culprit.
  * Add patch to fix spelling errors in (German) FeaturesD.pod.

 -- Axel Beckert <abe@debian.org>  Mon, 27 Jun 2016 00:47:02 +0200

libembperl-perl (2.5.0-7) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Axel Beckert ]
  * Add rename as build-dependency. (Closes: #825157)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

  [ gregor herrmann ]
  * debian/rules: drop special handling of German manpages. They are gone,
    and the machinery causes problems for reproducible builds. Thanks to
    Reiner Herrmann for the bug report and patch. (Closes: #828636)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Jun 2016 17:17:43 +0200

libembperl-perl (2.5.0-6) unstable; urgency=low

  [ Axel Beckert ]
  * Upload to unstable.
  * Fix changelog attribution in previous changelog entry.
  * Fix comment in perl5.22-compat-PL_sv_objcount-removal.patch about CGI
    tests not passing. (They do now.)

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

 -- Axel Beckert <abe@debian.org>  Mon, 01 Feb 2016 22:08:51 +0100

libembperl-perl (2.5.0-5) experimental; urgency=low

  [ gregor herrmann ]
  * debian/rules: use find -perm /xxx instead of +xxx.
    Thanks to Andreas Metzler for the bug report. (Closes: #803024)

  [ Axel Beckert ]
  * Drop hard a2enmod dependency on mod_perl in zembperl.load. mod_perl is
    enabled by default anyways if installed. (Closes: #810655)
  * Add patch to take PL_sv_objcount removal in Perl 5.22 into
    account. Fixes FTBFS with Perl 5.22. (Closes: #806897)
  * Upload to experimental for now as it's not clear if all those "0+" to
    enforce scalar/number context changes in the test suite are really
    correct or if there's a further 5.22-related bug in Embperl causing
    tons of empty values without the
    perl5.22-compat-PL_sv_objcount-removal.patch.

 -- Axel Beckert <abe@debian.org>  Fri, 15 Jan 2016 01:44:48 +0100

libembperl-perl (2.5.0-4) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * Add patch to make Embperl compatible with libcgi-pm-perl >= 4.04
    (Closes: #765125)
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed)
  * Add text files generated from POD to debian/clean
  * Add dh_clean override + file list debian/exec-bit to restore x bit in
    the "clean" target. Needed to get a clean working copy after a build.
  * Add myself to debian/copyright

 -- Axel Beckert <abe@debian.org>  Thu, 23 Oct 2014 02:15:25 +0200

libembperl-perl (2.5.0-3) unstable; urgency=medium

  * Team upload.
  * Create content of zembperl.load dynamically. It includes the perl
    vendorarch path, which differs for perl versions.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 17:48:08 +0200

libembperl-perl (2.5.0-2) unstable; urgency=medium

  * Team upload

  * add patch from Niko Tyni adapting tests to changed error message in apache
    2.4 (Closes: #756382)
  * add patch from Niko Tyni adapting tests to changed error messages in perl
    5.20 (Closes: #754997)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Jul 2014 08:02:09 +0000

libembperl-perl (2.5.0-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Update d/control and d/rules for apache 2.4
    Closes: #713249
  * New pod-errors.patch
  * Update the way we configure Apache in version 2.4 (closes: #666844)

  [ Axel Beckert ]
  * Import new upstream beta release 2.5.0~rc4
  * Pipe "yes y" into dh_auto_configure to answer interactive questions.
  * Apply wrap-and-sort.
  * Add myself as uploader.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Clear lines with only tabs in debian/rules.

  [ Florian Schlichting ]
  * Import Upstream version 2.5.0 (closes: #709668)
  * Drop patches applied upstream
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Mon, 21 Apr 2014 22:16:25 +0200

libembperl-perl (2.5.0~rc3-1) unstable; urgency=low

  * Imported Upstream version 2.5.0~rc3.
  * Dropped 691032-ftbfs-on-non-x86-architectures.patch, fixed upstream.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Fri, 30 Nov 2012 20:56:57 +0100

libembperl-perl (2.5.0~rc2-2) unstable; urgency=low

  * Team upload.
  * Add 691032-ftbfs-on-non-x86-architectures.patch patch.
    Fix FTBFS due to -m32 used on non-x86 architectures.
    Thanks to Konstantinos Margaritis <konstantinos.margaritis@freevec.org>
    (Closes: #691032)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Oct 2012 22:09:51 +0200

libembperl-perl (2.5.0~rc2-1) unstable; urgency=low

  [ Jonathan Yu ]
  * Imported Upstream version 2.4.0.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Re-add Ryan and Gregor to copyright for debian/*
    packaging.

  [ Dominic Hargreaves ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove obsolete perl5.10.patch, perl5.12.patch.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Florian Schlichting ]
  * Imported Upstream version 2.5.0~rc2 (Closes: #624578, #666011).
  * Patches forwarded upstream and thus obsoleted:
    german.patch, new_process_group.patch, utf8.patch, fix-pod-errors.patch,
    fix-whatis.patch, fix-string-typo.patch, fix-pod-unescaped-unicode.patch.
  * Refreshed delay.patch (fuzz).
  * Dropped modperl.patch, mod_perl versions < 2 are history.
  * Dropped Makefile.PL.patch, divide et impera - style:
    + FORCEMP1 is no longer relevant, Makefile.PL can find Apache headers etc
      itself
    + replacing a custom prompt implementation is unnecessary
    + strip .pl suffix in debian/rules instead of Makefile.PL
    + with hardening flags enabled, there is nothing left in the output of
      `apxs2 -q CFLAGS` that makes a difference
  * Bumped Standards-Version to 3.9.4 (using copyright-format 1.0) and updated
    upstream copyright holders.
  * Switched dh compatibility to level 9 to enable passing of hardening flags.
  * Switched to short-form debian/rules.
  * Deleted obsolete README.source.
  * Removed version on mod-perl dependency (no older version in the archive).
  * Moved apache2-mpm-prefork from Suggests: to Recommends:.
  * Updated short and long description.
  * Replaced embedded code copy (prototype.js) by a symlink and suggest:
    libjs-prototype.
  * Added myself to uploaders and copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Tue, 02 Oct 2012 22:39:09 +0200

libembperl-perl (2.3.0-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Dominic Hargreaves ]
  * Cherry-pick Perl 5.12 fixes from upstream (svn r960450)
    (Closes: #578490)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Feb 2011 16:11:57 +0000

libembperl-perl (2.3.0-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + SSI syntax now behaves more like mod_include
    + Improved XHTML/XML support
    + Fix to correctly retrieve Cookie header under apache2
    + Fix segfault when a value of an input attribute is removed
  * Bringing this package under the pkg-perl group (Closes: #543609)
  * Updated d/watch with CPAN search site
  * Standards-Version 3.8.3
    + Remove version dependency on perl
    + Add Vcs-* and Homepage fields
  * Drop version dependency on:
    + apache2-prefork-dev (>= 2.2.3-3.3) [oldstable 2.2.3-4]
    + apache2-mpm-prefork (>= 2.2.3-3.3) [oldstable  2.2.3-4]
    + libapache2-mod-perl2 (>= 2.0.2-2.3) [oldstable 2.0.2-2.4]
  * Remove libcgi-pm-perl | perl-modules (>= 5.8.0) | libcgi-perl,
    which is always satisfied by perl
  * Add extensive patches to fix POD errors and add whatis entries
  * Add a patch to remove some Unicode data from POD; it was causing
    an obscure error with `AE' (thanks Ryan52!)

  [ Damyan Ivanov ]
  * debian/rules: fix target dependencies

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

  [ gregor herrmann ]
  * Split out all changes to upstream code into proper patches managed by
    quilt.
  * Add patch cgi_pm.patch by Niko Tyni to avoid FTBFS if a newer CGI.pm is
    present at test time (closes: #521971).
  * Update debian/copyright.
  * debian/rules:
    - clean up a bit
    - call make with "-j1", the upstream build system is not parallel-build safe
    - add support for DEB_BUILD_OPTIONS nocheck
  * Change Section to "perl".
  * Remove dbinitembperlapache (created by test suite).

  [ Gunnar Wolf ]
  * Updated README.Debian to reflect the current reality re: thread
    safety, dropping mentions of obsolete mod_perl v1 and mentioning the
    deprecation of embperl itself
  * Reload Apache if a2enmod/a2dismod was called in postinst/prerm
  * Added Suggests: apache2-mpm-prefork, as it is the closer we can get to
    get the non-threaded versions of Apache2 by default besides
    documenting, which is already done in README.Debian. (Closes: #412521)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 15 Oct 2009 11:43:24 -0500

libembperl-perl (2.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Niko Tyni to allow the test suite to succeed with perl5.10.
    (Closes: #468237)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 09 May 2008 11:26:02 +0200

libembperl-perl (2.2.0-3) unstable; urgency=low

  * Dropped build-dependency on (and support for) Apache 1.3 (Closes:
    #429075)
  * Bumped up Debhelper compat version to 5
  * Bumped up standards version to 3.7.2 (No changes needed)
  * Fixed erroneous permissions (+x) on various example files
  * Fixed some manpages including invalid troff characters (usually
    german letters or such)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 10 Jul 2007 01:32:19 -0500

libembperl-perl (2.2.0-2) unstable; urgency=low

  * Acknowledge NMUs (thanks Gunnar), closes: #416016, #395870.
  * Add Gunnar to Uploaders, hooray :)
  * Revert 2.2.0-1.2 change, since experience shows running the apache
    tests is a real good idea with this particular package (it uses the
    apache C API directly)
  * Work around a new bug (#418067) in apache2.2 by explicitly creating a
    new process group in startup.pl.  Should stop 'apache -X' exit from
    SIGTERM'ing whatever the process group happens to be.
    Really closes: #416016.

 -- Angus Lees <gus@debian.org>  Fri,  6 Apr 2007 18:27:17 +0100

libembperl-perl (2.2.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * No longer spawns Apache processes to run the test scripts, as it leads
    to FTBFS (Closes: #416016)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 26 Mar 2007 11:49:17 -0600

libembperl-perl (2.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilding against a newer Apache2/mod_perl2, as ABI was changed in
    the 2.0->2.2 transition (Closes: #395870)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 22 Mar 2007 18:48:23 -0600

libembperl-perl (2.2.0-1) unstable; urgency=low

  * New upstream release:
    + UTF-8 input/output escaping (Closes: #154672)
  * At Martin Rubli's suggestion, add a big note to README.Debian saying
    that Embperl does not (yet) work with apache2 threaded MPMs (in
    mod_perl mode).
  * Run test with --gdb if gdb is installed.  Hopefully this will give
    stacktraces on 'make test' errors without introducing a build-dep on
    gdb.

 -- Angus Lees <gus@debian.org>  Mon, 19 Jun 2006 23:43:17 +0100

libembperl-perl (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU (thanks Marc), closes: #322859.
  * control: Bump to standards version 3.6.2 - no changes needed.

 -- Angus Lees <gus@debian.org>  Wed,  5 Oct 2005 23:00:42 -0700

libembperl-perl (2.0.0-0.1) unstable; urgency=low

  * Non-maintainer upload (Angus is VAC)
  * New upstream release:
    + Compatible to the new mod-perl2 API (Closes: #322859)
    + NEWS file was removed, so we don't install it.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 22 Aug 2005 18:35:40 +0200

libembperl-perl (2.0rc3-1) unstable; urgency=low

  * New upstream release.

 -- Angus Lees <gus@debian.org>  Wed, 20 Apr 2005 19:25:44 +1000

libembperl-perl (2.0rc2-3) unstable; urgency=low

  * Add additional delay loop to test.pl, for ridiculously slow machines
    (like heavily loaded m68k/arm buildds)

 -- Angus Lees <gus@debian.org>  Thu, 10 Feb 2005 15:03:44 +1100

libembperl-perl (2.0rc2-2) unstable; urgency=low

  * Embperl_BS: Make string compare mod_perl version number deal with
    '1.999.20'

 -- Angus Lees <gus@debian.org>  Fri,  4 Feb 2005 22:52:28 +1100

libembperl-perl (2.0rc2-1) unstable; urgency=low

  * New upstream release.

 -- Angus Lees <gus@debian.org>  Mon, 29 Nov 2004 21:35:29 +1100

libembperl-perl (2.0debian-4) unstable; urgency=high

  * Send off to the buildds again, so we can recompile against a new
    apache2/mod_perl2 (this time with LFS disabled again) :(

 -- Angus Lees <gus@debian.org>  Sat, 21 Aug 2004 07:14:48 +1000

libembperl-perl (2.0debian-3) unstable; urgency=high

  * Extend some more test regexes to cope with m68k's wrapping PTR2IV.
    Hopefully I've got them all now..
    These are not errors in the resulting binaries and this package has
    already done some time in unstable, so bump priority to high to
    make sarge (this upload will also help buildds which missed the new
    mod_perl2 package)..

 -- Angus Lees <gus@debian.org>  Fri, 20 Aug 2004 21:22:16 +1000

libembperl-perl (2.0debian-2) unstable; urgency=medium

  * Bump apache2 build-deps to >= 2.0.50-9 and mod_perl2 to >= 1.99.14-3 in
    accordance with IRC conversation with infinity.
    Apparently libapr0 changed ABI (adding large file support).
  * Apply fix from upstream to fix segfault on module unload for apache 1.3.
    Closes: #266032

 -- Angus Lees <gus@debian.org>  Tue, 17 Aug 2004 10:42:03 +1000

libembperl-perl (2.0debian-1) unstable; urgency=low

  * New CVS incorporating a few *last* minute changes ;)
    - Remove "beta" label at request of upstream.
  * Rename embperl.{conf,load} to zembperl.{conf,load} so we load after
    perl :(
  * zembperl.conf: Wrap "Action" directive in <IfModule mod_actions>, since
    it isn't loaded by default.

 -- Angus Lees <gus@debian.org>  Tue, 17 Aug 2004 00:55:11 +1000

libembperl-perl (2.0b12dev1-1) unstable; urgency=low

  * Use latest CVS patches.  Upstream says:
    "This is not the final 2.0, I will do some little changes and I want
     to update some of the documentation, but I think this version is at
     least good and stable enough to bring it in the Debian Sarge."

   - This version is supposed to address #176027 (test failures on
     ia64/alpha), but I won't close that until I see how the buildds go.

  * Build for Apache2/mod_perl2 as well (finally!).
    - Largely rewritten debian/rules file, lots more build-deps ;)
    - Use a small bootstrap hack to support Apache 1.3 and 2 from the
      same binary package.
  * Install CGI scripts into /usr/lib/cgi-bin by default.  They all
    require the use of Apache internal redirects (ie: be used as explicit
    Action handlers), so shouldn't be subvertable without deliberate help
    from httpd.conf.
  * Install apache2 embperl.load and .conf files.  Enable/disable in
    postinst/postrm if apache2 is installed.

 -- Angus Lees <gus@debian.org>  Sun, 15 Aug 2004 22:20:26 +1000

libembperl-perl (2.0b11-1) unstable; urgency=low

  * New upstream release.
  * Extend test/cmp/varepvar.htm regex to cope with negative integers,
    since PTR2IV on (at least) m68k can wrap.  Fixes "make test" failure
    on m68k.
  * Drop libextutils-xsbuilder-perl Build-Dep, since we aren't building
    CVS versions anymore (thanks stibbons).
  * Fix apache config error when user has multiple group ids, but no
    getgrgid() entry (eg: m68k buildd).  Closes: #240913
  * Apply some fixes from CVS:
    - Fix "make test" problem with newer Apache/mod_perl, closes: #261941.
    - Fix segfault when unloading Embperl.so under Apache.
    - Fix segfault when logging Perl warning during initialisation.
  * Bump policy version (no changes).

 -- Angus Lees <gus@debian.org>  Wed, 11 Aug 2004 10:46:44 +1000

libembperl-perl (2.0b10-1) unstable; urgency=low

  * New upstream release.
  * Extend Dependencies to include libcgi-pm-perl | perl-modules (>= 5.8.0).
  * Goswin von Brederlow:
   - test.pl: Progressively sleep longer till apache gets started
     on slow or loaded systems. Hopefully fixes m68k build failure.
     Closes: #229917
   - Build for all archs again since they keep libembperl-perl out of
     testing anyway and maybe someone can track it down.
  * Include bugfixes from Embperl CVS:
   - fix Validate JS code
   - fix endless loop with call sub inside table
   - fix select without name dynamic loop
   - fix nesting of tab and select
   - fix upload with CGI 3.01+ (perl 5.8.3)
  * Remove more files during clean, closes: #229922.

 -- Angus Lees <gus@debian.org>  Sun, 15 Feb 2004 14:23:39 +1100

libembperl-perl (2.0b9.0-1) unstable; urgency=low

  * New upstream version.
  * Rename embpexec.pl to simply "embpexec".  Its a nicer name and avoids
    a conflict with libhtml-embperl-perl's embpexec.pl. Closes: #194390
  * Install embpmsgid.pl as /usr/bin/embpmsgid.
    - Also add a manpage for embpmsgid.
  * Rewrite package description based on text from 2.0b9 announce email.
  * A few minor compile warning cleanups - already included upstream.
  * Extend dependencies to include libcgi-pm-perl | libcgi-perl.
  * Restore several Embperl::Form::Validate classes missing from upstream
    release.
  * Restore missing $req_rec in Embperl::Object base files (upstream cvs)
  * Reproduce a few fixes from our ExtUtils::XSBuilder improvements.

 -- Angus Lees <gus@debian.org>  Mon, 28 Jul 2003 17:17:50 +1000

libembperl-perl (2.0b9dev7-1) unstable; urgency=low

  * New upstream cvs.
  * Several IV->I32 fixes noticed during alpha build.
  * s/mg_ptr/mg_len/ embperl_Node_attach() bugfix.
  * Temporarily disable building on m68k, alpha, ia64, arm to stop spinning
    buildds until I can fix #176027.
  * Bump policy version.

 -- Angus Lees <gus@debian.org>  Tue,  8 Apr 2003 21:49:54 +1000

libembperl-perl (2.0b9dev6-2) unstable; urgency=low

  * Temporarily Build-Depend on netbase, since LWP::UserAgent (used in
    "make test") requires /etc/protocols.  See #185244
  * Add missing PUSHMARK(sp) before calling CLEANUP function.
    closes: #184761
  * Build-Depend on sufficiently patched version of ExtUtils::XSBuilder,
    and drop duplicated local fixes.

 -- Angus Lees <gus@debian.org>  Tue, 18 Mar 2003 22:46:28 +1100

libembperl-perl (2.0b9dev6-1) unstable; urgency=low

  * New upstream release.
  * Fix numerous compile warnings (several potentially serious).
  * $Request->{errdat1,errdat2,lastwarn} disabled until I get the code
    generation right.

 -- Angus Lees <gus@debian.org>  Mon, 10 Mar 2003 23:23:14 +1100

libembperl-perl (2.0b9dev5-1) unstable; urgency=low

  * Initial Release.

 -- Angus Lees <gus@debian.org>  Sun,  5 Jan 2003 18:04:26 +1100